> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 認証と entity

> W&B で認証し、適切な個人またはチーム entity を選択します。

W\&B APIキーを HTTP Bearer token として送信します：

```http theme={"system"}
Authorization: Bearer <wandb-api-key>
```

サービスは、すべての管理リクエストで W\&B viewer、デフォルトの entity、およびチームのメンバーシップを解決します。プロキシは、キーのハッシュによって同じアイデンティティをキャッシュします。

<h2 id="management-entity-selection">
  Management entity の選択
</h2>

entity ヘッダーを省略して、key のデフォルトの entity を使用する:

```bash theme={"system"}
curl https://distillation.training.wandb.ai/v1/tasks \
  -H "Authorization: Bearer $WANDB_API_KEY"
```

1 つのヘッダーでアクセス可能なチームを選択します：

```bash theme={"system"}
curl https://distillation.training.wandb.ai/v1/tasks \
  -H "Authorization: Bearer $WANDB_API_KEY" \
  -H "Wandb-Entity: your-team"
```

entity のクエリパラメーターは拒否されます。これにより、リソースフィルターが所有権と混同されるのを防ぎます。

<h2 id="proxy-entity-selection">
  プロキシの entity 選択
</h2>

OpenAI クライアントには、すべてのインテグレーションで共通して使えるカスタムヘッダーの規約がないため、プロキシへのリクエストでは JSON 本文で entity を選択します。

```json theme={"system"}
{
  "model": "ticket-classifier",
  "messages": [{"role": "user", "content": "Hello"}],
  "metadata": {"wandb.entity": "your-team"}
}
```

Python の OpenAI SDK では、`extra_body` を通じてメタデータを渡します。

<h2 id="production-credentials">
  本番用の認証情報
</h2>

デプロイ済みのアプリケーションや長時間実行するジョブには、W\&B チームのサービスアカウントキーを優先して使用してください。個人の認証情報では、可用性が特定の従業員のアクセス権に依存し、デフォルトでその従業員の個人 entity が使用されます。


## Related topics

- [Management API](/ja/model-distillation/reference/management.md)
